Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030309
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2015-07-03 10:312015-07-08 09:10
ReportermalsasuaView Statuspublic 
Assigned ToRetail 
PriorityurgentResolutionfixedFixed in VersionRR15Q4
StatusclosedFix in branchFixed in SCM revision2b5b037b5ea7
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030309: normal receipts are created as paid as credit

Descriptionwhen the user remove the paids after that "done" button is clicked, and the system has not finished the process, the receipt is created as credit receipt (without paids, invoiced, etc...)
Steps To Reproducesee video attached and screenshot
TagsNo tags attached.
Attached Files? file icon issuePayments_2-3.ogv [^] (706,634 bytes) 2015-07-03 10:31
png file icon issuePayments.png [^] (171,779 bytes) 2015-07-03 10:32

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0030310RR15Q3 closedRetail normal receipts are created as paid as credit 
depends on backport 0030311RR15Q2.3 closedRetail normal receipts are created as paid as credit 

-  Notes
(0078685)
hgbot (developer)
2015-07-06 19:20

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2b5b037b5ea7ece5b77c48f38bc828032a768326
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Jul 06 19:20:19 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2b5b037b5ea7ece5b77c48f38bc828032a768326 [^]

Fixed issue 30309. Block the user actions via scrim when the ticket is completed.
Previously, the user could execute several actions while the ticket was being processed, such as cancelling payments, and this led to inconsistent data. Now it's not possible, as the screen is blocked.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0078702)
hgbot (developer)
2015-07-07 11:12

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8c2d9af11a45cfab5978a28013a4c8cf21a44071
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 07 11:11:40 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8c2d9af11a45cfab5978a28013a4c8cf21a44071 [^]

Related to issue 30309. Scrim will also be applied on the multiorders flow.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0078727)
guilleaer (developer)
2015-07-08 09:10

Verified

- Issue History
Date Modified Username Field Change
2015-07-03 10:31 malsasua New Issue
2015-07-03 10:31 malsasua Assigned To => Retail
2015-07-03 10:31 malsasua File Added: issuePayments_2-3.ogv
2015-07-03 10:31 malsasua Triggers an Emergency Pack => No
2015-07-03 10:32 malsasua File Added: issuePayments.ogv
2015-07-03 10:32 malsasua File Deleted: issuePayments.ogv
2015-07-03 10:32 malsasua File Added: issuePayments.png
2015-07-03 10:51 marvintm Status new => scheduled
2015-07-06 19:20 hgbot Checkin
2015-07-06 19:20 hgbot Note Added: 0078685
2015-07-06 19:20 hgbot Status scheduled => resolved
2015-07-06 19:20 hgbot Resolution open => fixed
2015-07-06 19:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2b5b037b5ea7ece5b77c48f38bc828032a768326 [^]
2015-07-07 11:12 hgbot Checkin
2015-07-07 11:12 hgbot Note Added: 0078702
2015-07-08 09:10 guilleaer Review Assigned To => guilleaer
2015-07-08 09:10 guilleaer Note Added: 0078727
2015-07-08 09:10 guilleaer Status resolved => closed
2015-07-08 09:10 guilleaer Fixed in Version => RR15Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker